JRuby (please use github issues at http://bugs.jruby.org)
  1. JRuby (please use github issues at http://bugs.jruby.org)
  2. JRUBY-1520

Upgrading Rubygems wipes out customizations, rarely works perfectly

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Duplicate
    • Affects Version/s: JRuby 1.1.1
    • Fix Version/s: None
    • Component/s: Extensions
    • Labels:
      None
    • Environment:
      ruby 1.8.5 (2007-11-01 rev 4842) [i386-jruby1.1b1]
      CentOS 5
    • Number of attachments :
      0

      Description

      Trying to update to the latest beta gem release:

      [james@ceantar tst]$ gem update --system --source http://segment7.net/
      Updating RubyGems...
      Need to update 2 gems from http://segment7.net/
      ..
      complete
      Attempting remote update of rubygems-update
      Successfully installed rubygems-update-0.9.4.6
      Updating version of RubyGems to 0.9.4.6
      Installing RubyGems 0.9.4.6
      Error opening script file: setup.rb (No such file or directory)
      RubyGems system software updated
      [james@ceantar tst]$

      I didn't see this problem with MRI.

        Issue Links

          Activity

          No work has yet been logged on this issue.

            People

            • Assignee:
              Vladimir Sizikov
              Reporter:
              James Moore
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: